Announcement

Collapse
No announcement yet.

Upgrade from 2.2.4

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrade from 2.2.4

    I have 2 VBulletin licences.

    One is running VB3 RC2 so it should be easy to upgrade this once VB3 is finally released.

    Unfortunately, the other licence is still running 2.2.4 Can I do a direct upgrade to VB3 on that version, or will I have to do several incremental upgrades first?
    Best regards,
    David Watson
    Business Finance Personal Loans Fast Credit Card Application

  • #2
    you're going to have to upgrade to at least 2.2.9 prior to the 3.0 Upgrade.
    Webmaster:
    @forumz

    Comment


    • #3
      Originally posted by Martin
      you're going to have to upgrade to at least 2.2.9 prior to the 3.0 Upgrade.
      Martin,

      Thanks for that information.

      Can I upgrade from my current version (2.2.4) directly to 2.2.9, or whatever is the latest VB2 version, in just one go, or do I have to go through each of the upgrades in turn until I reach 2.2.9 ?
      Best regards,
      David Watson
      Business Finance Personal Loans Fast Credit Card Application

      Comment


      • #4
        Originally posted by stratos
        Martin,

        Thanks for that information.

        Can I upgrade from my current version (2.2.4) directly to 2.2.9, or whatever is the latest VB2 version, in just one go, or do I have to go through each of the upgrades in turn until I reach 2.2.9 ?
        You need to run each upgrade script. Follow these steps:

        1) Backup your database. Shut down your forum in your Admin CP -> Options -> vBulletin Options.

        2) Upload the 2.2.9 PHP files, overwriting the old 2.2.4 files. You don't need to upload admin/config.php.new, admin/install.php, or any images.

        3) Run the appropriate upgrade scripts from your browser, as is indicated by this page. Run each script in sequence, one after another.

        4) You are now upgraded to 2.2.9. Now upload the vB3 files. The directory structure of vB3 is completely different so it may be easier to upload the new vB3 files into an empty forum directory - I recommend creating a new directory, uploading the files to it, and swapping the names of your forum directory and vB3 directory using your FTP program after the upgrade is done. Enter your MySQL information into the includes/config.php file.

        5) Run install/upgrade.php from your browser. This script will take you through the appropriate upgrade scripts to upgrade from your version.

        6) Turn on your forums in your Admin CP.

        Comment


        • #5
          Originally posted by Jake Bunce
          You need to run each upgrade script. Follow these steps:

          1) Backup your database. Shut down your forum in your Admin CP -> Options -> vBulletin Options.

          2) Upload the 2.2.9 PHP files, overwriting the old 2.2.4 files. You don't need to upload admin/config.php.new, admin/install.php, or any images.

          .
          Jack,

          Thanks very much for the prompt and detailed reply.

          Presumably I will be able to find a set of 2.2.9 PHP files in the members area?

          Sorry, this is another dumb question though - How do I backup the database? Is there a utility in VBulletin to do this?
          Best regards,
          David Watson
          Business Finance Personal Loans Fast Credit Card Application

          Comment


          • #6
            You use the 2.3.4 files to do this. Just follow jake's instructions.
            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
            Change CKEditor Colors to Match Style (for 4.1.4 and above)

            Steve Machol Photography


            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


            Comment


            • #7
              2.2.9 is just the minimum version required to upgrade to vB3. The 2.2.9 zip file is no longer available. If you don't have a copy of it then you can just download the 2.3.4 zip file instead. You will need to run more upgrade scripts but that's all. The instructions above are the same.

              To backup your database following the instructions in step 1 on this page.

              Comment


              • #8
                Originally posted by Jake Bunce
                2.2.9 is just the minimum version required to upgrade to vB3. The 2.2.9 zip file is no longer available. If you don't have a copy of it then you can just download the 2.3.4 zip file instead. You will need to run more upgrade scripts but that's all. The instructions above are the same.

                To backup your database following the instructions in step 1 on this page.

                Thanks again, guys.

                Now I have to learn how to telenet/ssh. I'd better go and find out some info about that.
                Best regards,
                David Watson
                Business Finance Personal Loans Fast Credit Card Application

                Comment


                • #9
                  Try this:

                  http://www.vbulletin.com/forum/showp...09&postcount=7
                  Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                  Change CKEditor Colors to Match Style (for 4.1.4 and above)

                  Steve Machol Photography


                  Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                  Comment


                  • #10
                    That's the last piece of info I needed to do this.

                    Awesome level of support, guys - many thanks.
                    Best regards,
                    David Watson
                    Business Finance Personal Loans Fast Credit Card Application

                    Comment

                    widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                    Working...
                    X